#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private SymmDotsNT8[] cacheSymmDotsNT8;

		
		public SymmDotsNT8 SymmDotsNT8(int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			return SymmDotsNT8(Input, numTicks, numCloses, barsBack, pivotStrength);
		}


		
		public SymmDotsNT8 SymmDotsNT8(ISeries<double> input, int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			if (cacheSymmDotsNT8 != null)
				for (int idx = 0; idx < cacheSymmDotsNT8.Length; idx++)
					if (cacheSymmDotsNT8[idx].NumTicks == numTicks && cacheSymmDotsNT8[idx].NumCloses == numCloses && cacheSymmDotsNT8[idx].BarsBack == barsBack && cacheSymmDotsNT8[idx].PivotStrength == pivotStrength && cacheSymmDotsNT8[idx].EqualsInput(input))
						return cacheSymmDotsNT8[idx];
			return CacheIndicator<SymmDotsNT8>(new SymmDotsNT8(){ NumTicks = numTicks, NumCloses = numCloses, BarsBack = barsBack, PivotStrength = pivotStrength }, input, ref cacheSymmDotsNT8);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.SymmDotsNT8 SymmDotsNT8(int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			return indicator.SymmDotsNT8(Input, numTicks, numCloses, barsBack, pivotStrength);
		}


		
		public Indicators.SymmDotsNT8 SymmDotsNT8(ISeries<double> input , int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			return indicator.SymmDotsNT8(input, numTicks, numCloses, barsBack, pivotStrength);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.SymmDotsNT8 SymmDotsNT8(int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			return indicator.SymmDotsNT8(Input, numTicks, numCloses, barsBack, pivotStrength);
		}


		
		public Indicators.SymmDotsNT8 SymmDotsNT8(ISeries<double> input , int numTicks, int numCloses, int barsBack, int pivotStrength)
		{
			return indicator.SymmDotsNT8(input, numTicks, numCloses, barsBack, pivotStrength);
		}

	}
}

#endregion
